#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long n,x,y;
    cin >> n;
    for(int t=0; t<n; t++){
        cin >> x >> y;
        if(x!=y){
            cout << "-1" << endl;
        }
        else{
            for(int i=0;i<x;i++){
                for(int j=0;j<y;j++){
                    if(i+j>=x-1){
                        cout << '1' << ' ';
                    }
                    else{
                        cout << '0' << ' ';
                    }
                }
                cout << endl;
            }
        }
    }
    return 0;
}